net.sf.jasperreports.charts.base

## Class JRBaseTimeSeries

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseTimeSeries

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRTimeSeries, JRCloneable
  Direct Known Subclasses:
    JRDesignTimeSeries

      public class JRBaseTimeSeries
      extends java.lang.Object
      implements JRTimeSeries, java.io.Serializable

  Version:
    $Id: JRBaseTimeSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRHyperlink` | `itemHyperlink`
    `protected JRExpression` | `labelExpression`
    `protected JRExpression` | `seriesExpression`
    `protected JRExpression` | `timePeriodExpression`
    `protected JRExpression` | `valueExpression`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseTimeSeries()`
    `` | `JRBaseTimeSeries(JRTimeSeries timeSeries, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLabelExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getTimePeriodExpression()`
    `JRExpression` | `getValueExpression()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### seriesExpression

          protected JRExpression seriesExpression

    - #### timePeriodExpression

          protected JRExpression timePeriodExpression

    - #### valueExpression

          protected JRExpression valueExpression

    - #### labelExpression

          protected JRExpression labelExpression

    - #### itemHyperlink

          protected JRHyperlink itemHyperlink

  - ### Constructor Detail

    - #### JRBaseTimeSeries

          protected JRBaseTimeSeries()

    - #### JRBaseTimeSeries

          public JRBaseTimeSeries(JRTimeSeries timeSeries,
                          JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRTimeSeries`
      Returns:
        a `java.lang.Comparable` object representing the expression of the series name. Specifies the series to which to add the current value pair when incrementing the dataset.

    - #### getTimePeriodExpression

          public JRExpression getTimePeriodExpression()

      Specified by:
        `getTimePeriodExpression` in interface `JRTimeSeries`
      Returns:
        a `java.util.Date` expression from which the engine will extract the corresponding time period depending on the value set for the `timePeriod` attribute.
      See Also:
        `JRTimeSeriesDataset.getTimePeriod()`

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `JRTimeSeries`
      Returns:
        a numeric expression representing the value to associate with the corresponding time period value when incrementing the current series of the dataset.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRTimeSeries`
      Returns:
        the label expression. If present, it helps customize the item labels inside charts.

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRTimeSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRTimeSeries`
      Returns:
        hyperlink specification for chart items

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com